Subject: Re: [PATCH 1/5] powerpc: Print MSR TM bits in oops message

From: Anton Blanchard <[email-masked]>
Date: Tue, 17 Nov 2015 09:07:46 +1100

Hi,

> > +{
> > +	if (val & (MSR_TM | MSR_TS_S | MSR_TS_T)) {
> > +		printk(",TM[");
> > +		printbits(val, msr_tm_bits, "");
> > +		printk("]");
> 
> I suspect all these individual printks are going to behave badly if
> we have multiple cpus crashing simultaneously. But I won't make you
> fix that here. We should look at it sometime though.

We really need to serialise the entire oops. I had a go at fixing this
but ran out of steam:

https://lkml.org/lkml/2015/2/23/735

Anton